Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/calendar
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/calendar	(revision 261)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/calendar	(revision 262)
@@ -1,3 +1,3 @@
-      init --   GCM sol --   GCM ls --     WRF
+      init --   GCM sol --   GCM ls --     LMD Martian Mesoscale Model
             0            0    0.000000     2024-01-01_00:00:00
             0            1   0.5125165     2024-01-02_00:00:00
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/namelist.input_full
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/namelist.input_full	(revision 261)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/namelist.input_full	(revision 262)
@@ -23,5 +23,5 @@
 
  &domains
- time_step   = 50            !! Dynamical timestep
+ time_step   = 30            !! Dynamical timestep
  dx = 20000,                 !! (p2) Horizontal resolution
  dy = 20000,                 !! (p2) Horizontal resolution (should be equal to dx)
@@ -33,7 +33,7 @@
  time_step_fract_num = 0     !! Additional fraction to time_step: numerator 
  time_step_fract_den = 1     !! Additional fraction to time_step: denominator
- num_metgrid_levels = 26     !! (p1) number of vertical levels in GCM inputs (+1)
+ num_metgrid_levels = 26     !! (p1) Number of vertical levels in GCM inputs (+1)
  force_sfc_in_vinterp = 8    !! (p3) Number of levels hardwired in the PBL 
-                             !!         NB: decrease this parameter when low p_top_requested
+                             !!       NB: decrease this parameter if low p_top_requested
  max_dz = 1500.              !! (p3) Maximal interval (m) between vertical levels
  eta_levels = -1.            !! (p3)  Specify a list of e_vert eta levels
@@ -45,4 +45,8 @@
  parent_grid_ratio      = 1, !! (n)(p2) Ratio of horizontal resolution parent/nest
  parent_time_step_ratio = 1, !! (n) Ratio of time step parent/nest
+ feedback               = 0  !! (n) Define one-way nesting [0] or two-way nesting [1]
+ smooth_option          = 2  !! (n) Smoothing option for parent domain (feedback=1)
+                             !!      0: none; 1: 1-2-1 smooth; 2: smooth-desmooth
+ blend_width            = 5  !! (n) Extent of blending zone for parent/nest boundaries
  /
 
@@ -50,4 +54,5 @@
  !!!!! OPTIONAL !!!!!!!!!!!!!!!
  radt = 1,                   !! Ratio between physical and dynamical time step
+                             !! ... 1 is recommended, >5 is not recommended 
  mars =  0,                  !! (r)(p2) Configuration of tracers: 
                              !!         0: no tracers, 1: water vapor + ice, 2: dust
@@ -58,8 +63,7 @@
  init_WX = 0.,               !! (p3) \  Ini/bdy wind profile is everywhere equal to
  init_WY = 0.,               !! (p3) /  the wind profile @ grid pt (init_WX,init_WY)
- init_MU = 0.,               !! (p3) Multiply ini & bdy zonal wind by init_U
- init_MV = 0.,               !! (p3) Multiply ini & bdy meridional wind by init_V
- init_LES = F,               !! (p3) Uniform domain initialization for LES
- num_soil_layers = 10.       !! (r)(p1) Number of layers in soil model [set to 18 for newphys]
+ init_MU = 0.,               !! (p3) Multiply ini & bdy zonal wind by init_MU
+ init_MV = 0.,               !! (p3) Multiply ini & bdy meridional wind by init_MV
+ num_soil_layers = 10.       !! (r)(p1) Number of layers in soil model 
  /
 
@@ -72,7 +76,7 @@
  tiso = 140.,                !! (p3) Temperature at which base profile is isotherm
  !!
- diff_opt = 1                !! (*d) Diffusion option [set to 0 if LES or GCM]
+ diff_opt = 1                !! (*d) Diffusion option [set to 0 if GCM-like]
  km_opt = 4                  !! (*d) Eddy coefficient option           
- diff_6th_opt = 2,           !! (*d) Knievel numerical diffusion [set to 0 if LES]      
+ diff_6th_opt = 2,           !! (*d) Knievel numerical diffusion
  diff_6th_factor = 0.2,      !! (*d) Knievel numerical coeff. [set to 0.5 if GCM]       
  smdiv = 0.1,                !! (*d) Divergence damping
@@ -96,5 +100,5 @@
  open_ye = F,                !! (p3) Open boundary conditions @ northern boundary
  spec_bdy_width = 5          !! (p3) Width of transition zone with specified=T
-                             !!      NB: spec_bdy_width must equal relax_zone+1
+                             !!      (spec_bdy_width must be equal to relax_zone+1)
  relax_zone = 4              !! (p3) Width of relaxation zone with specified=T
  /
@@ -111,2 +115,3 @@
  nio_groups = 1,              !! (*)
  /                            !! (*)
+ !!!!! DO NOT MODIFY !!!!!!!!!!
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/namelist.input_minim
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/namelist.input_minim	(revision 261)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/namelist.input_minim	(revision 262)
@@ -20,5 +20,5 @@
 
  &domains
- time_step   = 50          
+ time_step   = 30          
  dx = 20000,               
  dy = 20000,               
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/namelist.input_nests
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/namelist.input_nests	(revision 261)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/namelist.input_nests	(revision 262)
@@ -36,5 +36,5 @@
  e_sn                   =    117,   121,  121,  !! IMPORTANT: e_sn[parent domain] = e_sn[child domains] - 4
   !! WARNING: number of processors must divide e_we minus 1 and e_sn minus 1
- e_vert                 =     61,    61,   61,  !! Vertical levels must be duplicates         
+ e_vert                 =     61,    61,   61,  !! Vertical levels must be duplicated
  dx                     =  63000, 21000, 7000,  !! Compute dx[child] with parent_grid_ratio and dx[parent]
  dy                     =  63000, 21000, 7000,  !! .... (keep 10^-2 accuracy if result of division is not int)
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/namelist.wps_nests
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/namelist.wps_nests	(revision 261)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/namelist.wps_nests	(revision 262)
@@ -20,11 +20,11 @@
  dy = 63000,
  geog_data_res     = '64ppd', '64ppd', '64ppd'       
- map_proj = 'lambert',           
- ref_lat   =  -35.,            
- ref_lon   =  50.,            
- truelat1  =  -35.,            
- truelat2  =  0.0,                
- stand_lon =  50.,            
- geog_data_path = './WPS_GEOG',   
+ map_proj = 'lambert'
+ ref_lat   =  -35.          
+ ref_lon   =  50.            
+ truelat1  =  -35.            
+ truelat2  =  0.0                
+ stand_lon =  50.            
+ geog_data_path = './WPS_GEOG'
 /
 
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/runmeso
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/runmeso	(revision 261)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/runmeso	(revision 262)
@@ -30,8 +30,8 @@
 ###########################################
 
-changeregis=0
-while getopts "r" options; do
+fresh=0
+while getopts "f" options; do
   case $options in
-   r ) changeregis=1;;        
+   r ) fresh=1;;        
   esac
 done   
@@ -412,12 +412,13 @@
    #
    cd ${meso_folder}
-                      if [[ "${changeregis}" = "1" ]]
-                      then
-                          cd ${work_folder}/WRFV2/Registry
-                          \rm Registry 2> /dev/null
-                          ./Registry.bash
-                          cd ../../..
-                      fi 
-
+                      #if [[ "${changeregis}" = "1" ]]
+                      #then
+                      #    cd ${work_folder}/WRFV2/Registry
+                      #    \rm Registry 2> /dev/null
+                      #    ./Registry.bash
+                      #    cd ../../..
+                      #fi 
+   if [[ ${fresh} -eq 0 ]]
+   then
      ##******
      if [[ ${newphys} -eq 0 ]]
@@ -433,5 +434,19 @@
      fi
      ##******
-
+   else
+     ##******
+     if [[ ${newphys} -eq 0 ]]
+     then
+       ./makemeso -r -f < ${simu_folder}/makemeso_input
+     else
+         if [[ "${scenario}" == "" ]]
+         then
+          ./makemeso -r -p -f < ${simu_folder}/makemeso_input
+         else
+          ./makemeso -r -p -f -s ${scenario} < ${simu_folder}/makemeso_input
+         fi
+     fi
+     ##******
+   fi
 
    if [[ -f ${wrfexe} ]]
Index: /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM	(revision 261)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/Registry/Registry.EM	(revision 262)
@@ -1087,5 +1087,5 @@
 rconfig   integer parent_time_step_ratio  namelist,domains	max_domains    1       h     "parent_time_step_ratio"                ""      ""
 rconfig   integer feedback                namelist,domains	1    0       h     "feedback"          ""      ""
-rconfig   integer smooth_option           namelist,domains	1    0       h     "smooth_option"          ""      ""
+rconfig   integer smooth_option           namelist,domains	1    2       h     "smooth_option"          ""      ""
 rconfig   integer blend_width             namelist,domains	1    5       h     "blend_width"  "width of cg fg terrain blended zone"      ""
 rconfig   real    ztop                    namelist,domains	max_domains    35000.  h    "ztop"          ""      ""
Index: /trunk/MESOSCALE/LMD_MM_MARS/makemeso
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/makemeso	(revision 261)
+++ /trunk/MESOSCALE/LMD_MM_MARS/makemeso	(revision 262)
@@ -259,14 +259,14 @@
       clean -a > /dev/null 2> /dev/null
       cd Registry ; mv Registry Registry.bak ; Registry.bash ; cd ..
-      answer='y' ## a voir... pas si sur
-    else
-            if [[ "${phys}" != "nophys_" ]]
-            then
-      echo Did you modify anything in the Registry or clean ? y for yes, any key for no ; read answer
-      case ${answer} in
-        y) cd Registry ; mv Registry Registry.bak ; Registry.bash ; cd .. ;;
-        *) answer='no' ;;
-      esac
-            fi
+#     answer='y' ## a voir... pas si sur
+#    else
+#            if [[ "${phys}" != "nophys_" ]]
+#            then
+#      echo Did you modify anything in the Registry or clean ? y for yes, any key for no ; read answer
+#      case ${answer} in
+#        y) cd Registry ; mv Registry Registry.bak ; Registry.bash ; cd .. ;;
+#        *) answer='no' ;;
+#      esac
+#            fi
     fi 
   fi
@@ -311,5 +311,5 @@
   echo ${tra} >> last
   echo ${scat} >> last
-  echo ${answer} >> last
+  #echo ${answer} >> last
 
 #------------
Index: /trunk/MESOSCALE_DEV/MANUAL/SRC/winds.py.help
===================================================================
--- /trunk/MESOSCALE_DEV/MANUAL/SRC/winds.py.help	(revision 261)
+++ /trunk/MESOSCALE_DEV/MANUAL/SRC/winds.py.help	(revision 262)
@@ -1,5 +1,2 @@
-Usage: winds.py [options]
-
-Options:
   -h, --help            	show this help message and exit
   -f NAMEFILE, --file=NAMEFILE  [NEEDED] name of WRF file (append)
